using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class JSONDialogue
{
    public TextAsset json;
    
    FixedDialogue fixedDialogue;

    public void Init()
    {
        fixedDialogue = JsonUtility.FromJson<FixedDialogue>(json.text);
        fixedDialogue.Start();
    }


    public void Advance()
    {
        fixedDialogue?.Advance();
    }
}
